All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
lb_constrain.hpp File Reference
`#include <boost/math/tools/promotion.hpp>`
`#include <stan/math/prim/scal/fun/identity_constrain.hpp>`
`#include <cmath>`
`#include <limits>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T , typename TL >
T | stan::math::lb_constrain (const T x, const TL lb)
| Return the lower-bounded value for the specified unconstrained input and specified lower bound. More...
template<typename T , typename TL >
boost::math::tools::promote_args < T, TL >::type | stan::math::lb_constrain (const T x, const TL lb, T &lp)
| Return the lower-bounded value for the speicifed unconstrained input and specified lower bound, incrementing the specified reference with the log absolute Jacobian determinant of the transform. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.